CVC4::CommandPrintSuccess::Scope Class Reference

Set the print-success state on the output stream for the current stack scope. More...

`#include <command.h>`

## Public Member Functions

| Scope (std::ostream &out, bool printSuccess) throw ()
| ~Scope () throw ()

## Detailed Description

Set the print-success state on the output stream for the current stack scope.

This makes sure the old state is reset on the stream after normal OR exceptional exit from the scope, using the RAII C++ idiom.

Definition at line 117 of file command.h.

## Constructor & Destructor Documentation

## Scope()

CVC4::CommandPrintSuccess::Scope::Scope | ( | std::ostream & | out,
|  | bool | printSuccess )
throw | ( | ) |  |  |

inline

Definition at line 123 of file command.h.

## ~Scope()

CVC4::CommandPrintSuccess::Scope::~Scope | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 129 of file command.h.

The documentation for this class was generated from the following file:

- src/expr/command.h